function[ncell,dt,odt,dx,odx,odx2] = discretization(channel_length)

%Function that specifies the numerical discretization parameters
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

ncell   = 25;			% number of grid cells along the length of the reactor
dt      = 0.5;			% time-step for numerical integration [s]
odt     = 1.0/dt;		 
dx      = channel_length/ncell; % length of each grid cell [m]
odx     = 1.0/dx;
odx2    = odx/dx;

