function[Rgas,mol_wt,diff_NO,T_crit_NO,diff_red,T_crit_red,lambda_coeff,lambda_exp,Cp_gas] = gas_properties

%Function that defines exhaust gas properties
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

Rgas            = 8.314; % Universal gas constant [J/(mole K)]
mol_wt          = 28e-3; % exhaust mol. weight [kg/mole]
                                                                                                       
diff_NO         = 6.309857e-6; % diffusivity of NO at critical temperature [m^2/s]
T_crit_NO       = 154.143;     % critical temperature of NO [K]
                                                                                                       
diff_red        = 5.108189e-6; % diffusivity of H2 at critical temperature [m^2/s]
T_crit_red      = 66.3;	       % critical temperature of H2 [K]
                                                                                                       
lambda_coeff    = 2.269e-04;   % thermal conductivity of gas [J/(m s K0]
lambda_exp      = 0.832;       % = lambda_coeff*T_gas^lambda_exp
                                                                                                       
Cp_gas          = 1089.0;      % specific heat of the gas mixture at constant pressure
                               % [J/(kg K)]
