function [Tg,Ts,pressure,cg_NOx,cg_red,cg_O2,cw_NOx,cw_red,q] = initial_conditions(ncell)

%Function that initializes the variables
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

%-------------------------------------
% Thermodynamic variables

Tg(1:ncell)	= 273.16 + 317.0; % Gas temperature [K]
Ts(1:ncell)     = 273.16 + 317.0; % Solid temperature [K]
pressure= 1.01325e5;		  % pressure [Pa]

%-------------------------------------
% Chemical variables corresponding to the spatial cells
                                                                                      
cg_NOx  = zeros(1,ncell);	% outlet gas-phase NOx concentration [mole/m^3]
cg_red  = zeros(1,ncell);	% outlet gas-phase reductant concentration [mole/m^3]
cg_O2	= zeros(1,ncell);	% outlet gas-phase O2 concentration [mole/m^3]
                                                                                      
cinput_NOx      = zeros(1,ncell); % inlet gas-phase NOx concentration [mole/m^3]
cinput_red      = zeros(1,ncell); % inlet gas-phase reductant concentration [mole/m^3]
cinput_O2	= zeros(1,ncell); % inlet gas-phase O2 concentration [mole/m^3]
                                                                                      
cw_NOx  = zeros(1,ncell);	%average surface concentration of NOx in each cell [mole/m^3]
cw_red  = zeros(1,ncell);	%average surface concentration of reductant in each cell [mole/m^3]
q       = zeros(1,ncell);	%average NOx storage in each cell [mole/m^3 of reactor]
