function [cw_NOx] = isotherm_inv(q,Ts,ncell,Rgas,pressure)

%Function that provides NOx concentration corresponding to the NOx storage at equilibrium
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

global ppmNOx NOx_storage
global temperature_storage temperature_scaling

for i = 1:ncell,

temp_dependence = interp1(temperature_storage,temperature_scaling,Ts(i)); %scaling factor for given T
q1		= q(i)/temp_dependence;

cw_NOx(i)	= interp1(NOx_storage,ppmNOx,q1)*pressure/1.0e6/Rgas/Ts(i); % NOx concentration corresponding to NOx storage q at equilibrium [mole/m^3]
end
