function [dqdc] = isotherm_slope(cw_NOx,Ts,pressure,Rgas,ncell)

%Function that provides isotherm slope as function of NOx concentration and temperature
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

global ppmNOx NOx_storage
global temperature_storage temperature_scaling

for i = 1:ncell

cppm		= cw_NOx(i)*1.0e6*Ts(i)*Rgas/pressure; %convert concentration to ppm
Ts11		= Ts(i);
temp_dependence = interp1(temperature_storage,temperature_scaling,Ts11); %scaling factor for given T
dqdc(i)		= (interp1(ppmNOx,NOx_storage,cppm+0.1) - interp1(ppmNOx,NOx_storage,cppm))*10.0*temp_dependence*1.0e6*Ts11*Rgas/pressure;

end

%dqdc = rate of change of equilibrium storage with increasing NOx concentration [non-dimensional]
